ECMAScript 5 wurde in 2009 veröffentlicht und ist derzeit veraltet. Die Unterstützung von ES5 ist für die Arbeit von JavaScript-Applikation im Browser Internet Explorer erforderlich, und dieser Browser ist auch veraltet, und Microsoft empfiehlt nicht ihn zu verwenden.

Beim Entwickeln Stimulsoft Reports.JS und Stimulsoft Dashboards.JS wir verwenden mehr moderner Standard ECMAScript 6, der mehr Möglichkeiten, Optimierungen und verbesserte Leistungsfähigkeit hat. ES6 wird von allen modernen Browsern unterstützt.

Ab der Version 2020.5.2 werden wir den Standard ES5 nur im Fixmodus unterstützt. Es verbindet mit der Komplexität des Entwickelns und des Testens von ES5-Skripts und mit dem Fehlen der ES5-Unterstützung in anderen Komponenten, die in unseren Tools verwendet werden. Wir planen den Standard ES5 mindestens 6 Monate zu unterstützen, und werden seine Relevanz, sowie überhaupt die Situation und Microsoft-Politik hinsichtlich Internet Explorer überwachen. Wir werden Sie über volles Ende der Unterstützung informieren.